package com.bonus.core.pay.common.dto;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class PaySelectDTO {
   /** @deprecated */
   @Deprecated
   private Long tradeId;
   private Long tradeChannelId;
   private String outTradeNo;
   private Long orderRechargeId;
   private String macOrderId;
   private Long canteenId;
   private String machineSn;
   private String couponId;
   private Integer payType;
   private LocalDateTime tradeTime;
   private BigDecimal amount;

   /** @deprecated */
   @Deprecated
   public Long getTradeId() {
      return this.tradeChannelId;
   }

   public Long getTradeChannelId() {
      return this.tradeChannelId;
   }

   public String getOutTradeNo() {
      return this.outTradeNo;
   }

   public Long getOrderRechargeId() {
      return this.orderRechargeId;
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getCouponId() {
      return this.couponId;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public LocalDateTime getTradeTime() {
      return this.tradeTime;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   /** @deprecated */
   @Deprecated
   public PaySelectDTO setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
      return this;
   }

   public PaySelectDTO setTradeChannelId(final Long tradeChannelId) {
      this.tradeChannelId = tradeChannelId;
      return this;
   }

   public PaySelectDTO setOutTradeNo(final String outTradeNo) {
      this.outTradeNo = outTradeNo;
      return this;
   }

   public PaySelectDTO setOrderRechargeId(final Long orderRechargeId) {
      this.orderRechargeId = orderRechargeId;
      return this;
   }

   public PaySelectDTO setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
      return this;
   }

   public PaySelectDTO setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public PaySelectDTO setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
      return this;
   }

   public PaySelectDTO setCouponId(final String couponId) {
      this.couponId = couponId;
      return this;
   }

   public PaySelectDTO setPayType(final Integer payType) {
      this.payType = payType;
      return this;
   }

   public PaySelectDTO setTradeTime(final LocalDateTime tradeTime) {
      this.tradeTime = tradeTime;
      return this;
   }

   public PaySelectDTO setAmount(final BigDecimal amount) {
      this.amount = amount;
      return this;
   }
}
